# Update PlanBenefitRate

Updates a specific PlanBenefitRate.

Endpoint: PUT /plans/{planID}/benefits/{benefitCode}/rates/{planBenefitRateKey}
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `planID` (string, required)
    Plan ID

  - `benefitCode` (string, required)
    Benefit Code

  - `planBenefitRateKey` (integer, required)
    PlanBenefitRate Key

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `planBenefitRate_Key` (integer, required)
    Unique idenfiter assigned to the Plan Benefit Rate.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `benefit_Code` (string, required)
    References the PlanBenefits.Benefit_Code value in parent table.

  - `effective_Date` (string, required)
    Date when the Rate becomes effective.

  - `entry_Date` (string)
    Date when the record was added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `ex_Code` (string)
    This code is applied to any claim that utilizes the benefit rate.

  - `network_ID` (string)
    Network ID associated with the Plan Benefit Rate

  - `plan_ID` (string, required)
    References the PlanBenefits.Plan_ID value in parent table.

  - `rate` (number, required)
    This area will allow for a limit (dollar or percentage) of how much of the allowed amount can be paid out, per claim detail line, by the specific plan benefit.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `rate_Max` (number)
    Max rate that can be paid out.

  - `rate_Max_Type` (string)
    Type of Benefit Level Maximum: Per Calendar Year - January 1st through December 31st. Per Plan Year - per plan year as defined by the Group.

  - `rate_Pct` (boolean, required)
    Indicates whether the Rate will be a percentage or fixed amount.  Note: The database will apply a default value of `False` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `False` to meet the API requirements and ensure that the functionality occurs as expected.

  - `rate_Type` (string, required)
    Type of Benefit Rate: Per Service Line - rate is applied to each service line. Per Day - rate is applied per service date. Per Visit - rate is applied per service date per Provider. Per Unit - rate is multiplied by the number of units on the matching service line.

  - `term_Date` (string)
    Date when the Rate expires.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `data` (object)

  - `data.planBenefitRate_Key` (integer, required)
    Unique idenfiter assigned to the Plan Benefit Rate.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.benefit_Code` (string, required)
    References the PlanBenefits.Benefit_Code value in parent table.

  - `data.effective_Date` (string, required)
    Date when the Rate becomes effective.

  - `data.entry_Date` (string)
    Date when the record was added to the system.

  - `data.entry_User` (string)
    User that first added the record to the system.

  - `data.ex_Code` (string)
    This code is applied to any claim that utilizes the benefit rate.

  - `data.network_ID` (string)
    Network ID associated with the Plan Benefit Rate

  - `data.plan_ID` (string, required)
    References the PlanBenefits.Plan_ID value in parent table.

  - `data.rate` (number, required)
    This area will allow for a limit (dollar or percentage) of how much of the allowed amount can be paid out, per claim detail line, by the specific plan benefit.  Note: The database will apply a default value of `0` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `0` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.rate_Max` (number)
    Max rate that can be paid out.

  - `data.rate_Max_Type` (string)
    Type of Benefit Level Maximum: Per Calendar Year - January 1st through December 31st. Per Plan Year - per plan year as defined by the Group.

  - `data.rate_Pct` (boolean, required)
    Indicates whether the Rate will be a percentage or fixed amount.  Note: The database will apply a default value of `False` for this field if a value is not provided.  This field is also marked as NOT NULL in the database and therefore required by the API.  If you do not have a value for this field, supply the database default value of `False` to meet the API requirements and ensure that the functionality occurs as expected.

  - `data.rate_Type` (string, required)
    Type of Benefit Rate: Per Service Line - rate is applied to each service line. Per Day - rate is applied per service date. Per Visit - rate is applied per service date per Provider. Per Unit - rate is multiplied by the number of units on the matching service line.

  - `data.term_Date` (string)
    Date when the Rate expires.

  - `data.update_Date` (string)
    Date when the record was last updated in the system.

  - `data.update_User` (string)
    User that last updated the record in the system.

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

